%ifarch %ix86
%define p4arch x86
%define md5sum cb35fa7752140f0487401cd2799e4a85
%endif

%ifarch x86_64
%define p4arch x86_64
%define md5sum 56316d6091379d372463de7b38de5cbf
%endif

%define version 12.2
%define rel 2

%define downurl http://www.perforce.com/downloads/perforce/r%{version}/bin.linux26%{p4arch}/%{name}
%define downfile %{_localstatedir}/lib/%{name}/%{name}
%define EULAurl http://www.perforce.com/perforce/contracts/subscriptionEULA.pdf
%define installdir %{_libdir}/%{name}

Summary:	Perforce Command-Line Client
Name:		p4
Version:	%{version}
Release:	%mkrel %{rel}
License:	Proprietary
URL:		http://www.perforce.com/product/perforce
Group:		Development/Other
ExclusiveArch:	%ix86 x86_64
Requires(pre):	curl

%description
P4, the Perforce Command-Line Client, is a small, self-contained
client program that offers access to all Perforce features. P4 can
also be used in scripts and is the ideal interface for automated
processes such as backups and nightly builds.

NOTE: This package does not contain %{name} itself. The
software will be automatically downloaded during package
installation.

Installing this package indicates acceptance of the %{name} EULA,
available at %{EULAurl}.

%prep
%setup -c -T

%install
install -d -m755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m755 %{buildroot}%{_bindir}
touch %{buildroot}%{_bindir}/%{name}

%pre
get_proxy_from_urpmi() {
	if [ -e /etc/urpmi/proxy.cfg ]; then
		proxy="$(grep ^http_proxy= /etc/urpmi/proxy.cfg 2>/dev/null)"
		proxy_user="$(grep ^proxy_user= /etc/urpmi/proxy.cfg 2>/dev/null)"

		proxy="${proxy#http_proxy=}"
		proxy_user="${proxy_user#proxy_user=}"

		[ -n "$proxy" ] && echo "--proxy $proxy"
		[ -n "$proxy_user" ] && echo "--proxy-user $proxy_user"
	fi
}

echo "Note that by downloading %{name} you indicate your acceptance of the EULA,"
echo "available at %{EULAurl}"

echo "Downloading from %{downurl}"
install -d -m755 $(dirname %{downfile})
curl --connect-timeout 20 -m 10800 -L $(get_proxy_from_urpmi) "%{downurl}" > "%{downfile}"

if ! [ -f %{downfile} ]; then
   echo "Download failed"
   exit 1
fi

md5chk=$(md5sum %{downfile} | cut -d' ' -f1)
if ! [ "%{md5sum}" = "$md5chk" ]; then
   echo "Download checksum failed"
   rm -f %{downfile}
   exit 1
fi

%post
mv %{downfile} %{_bindir}/%{name}
chmod 755 %{_bindir}/%{name}

echo "%{name} installation successful."

%files
%dir   %{_localstatedir}/lib/%{name}
%ghost %{_bindir}/%{name}


%changelog
* Thu Oct 31 2013 tmb <tmb> 12.2-2.mga4
+ Revision: 548459
- Mageia 4 rebuild

* Sun Mar 03 2013 blino <blino> 12.2-1.mga3.nonfree
+ Revision: 401310
- initial package
- Created package structure for p4.

